# purefa_user – Create, modify or delete FlashArray local user account

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create, modify or delete local users on a Pure Storage FlashArray.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- purestorage

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

api
boolean

Choices:
- no ←
- yes

Define whether to create an API token for this user
Token can be exposed using the debug module

api_token string / required |  | FlashArray API token for admin privileged user.
fa_url string / required |  | FlashArray management IPv4 address or Hostname.
name string |  | The name of the local user account
old_password string |  | If changing an existing password, you must provide the old password for security
password string |  | Password for the local user.

role
string

Choices:
- readonly
- storage_admin
- array_admin

Sets the local user's access level to the array

state
string

Choices:
- absent
- present ←

Create, delete or update local user account

## Notes

Note

- This module requires the `purestorage` Python library

- You must set `PUREFA_URL` and `PUREFA_API` environment variables if fa_url and api_token arguments are not passed to the module directly

## Examples

    - name: Create new user ansible with API token
      purefa_user:
        name: ansible
        password: apassword
        role: storage_admin
        api: true
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592
      register: result

      debug:
        msg: "API Token: {{ result['user_info']['user_api'] }}"

    - name: Change role type for existing user
      purefa_user:
        name: ansible
        role: array_admin
        state: update
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Change password type for existing user (NOT IDEMPOTENT)
      purefa_user:
        name: ansible
        password: anewpassword
        old_password: apassword
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Change API token for existing user
      purefa_user:
        name: ansible
        api: true
        state: update
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592
      register: result

      debug:
        msg: "API Token: {{ result['user_info']['user_api'] }}"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.